.shares {
  position: relative;
  z-index: 2;
  background: linear-gradient(to top, #000, transparent);
  padding-top: 18.6666666667vw;
}

.shares .inner {
  margin: 0 auto;
  max-width: 64vw;
}

.shares .title {
  text-align: center;
  font-weight: 700;
  margin-bottom: 4vw;
  font-size: 18px;
}

.shares ul {
  display: flex;
  justify-content: center;
  gap: 4vw;
}

.shares a {
  display: block;
  width: 12vw;
}

footer {
  position: relative;
  z-index: 1;
  background: var(--color-black);
  color: var(--color-white);
  padding: 10.6666666667vw 0 20vw 0;
}

footer .inner {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  width: 89.3333333333vw;
  gap: 10.6666666667vw;
}

footer .official {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  gap: 5.3333333333vw;
}

footer .official a {
  position: relative;
  line-height: 1.5;
  letter-spacing: 0.06em;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: var(--color-black);
  border: 1px solid var(--color-white);
  gap: 1.3333333333vw;
  width: 89.3333333333vw;
  padding: 4.8vw 5.3333333333vw;
  border-radius: 2.6666666667vw;
  font-size: 16px;
}

footer .official a::after {
  content: "";
  display: block;
  aspect-ratio: 1;
  background: url(../img/common/ic_link.svg) no-repeat;
  background-size: contain;
  width: 0.8em;
}

footer .copyright {
  line-height: 1.8;
  font-size: 13px;
}

footer .logo {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

footer .logo .company {
  width: 41.7333333333vw;
}

.pagetop {
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
  position: fixed;
  z-index: 800;
  pointer-events: none;
  transition: filter 0.3s, transform 0.3s;
  aspect-ratio: 1;
  border: 2px solid #64dc00;
  background: var(--color-black);
  transform: translateY(18.9333333333vw);
  right: 5.3333333333vw;
  bottom: 5.3333333333vw;
  width: 13.3333333333vw;
}

.pagetop::after {
  content: "";
  aspect-ratio: 30/25;
  background: #64dc00;
  clip-path: polygon(50% 0%, 0% 100%, 100% 100%);
  width: 4.8vw;
}

.pagetop[data-visible=true] {
  transform: translateY(0);
  pointer-events: auto;
}

:where(body) {
  overflow-x: clip;
  color: var(--color-white);
  background: var(--color-black);
  font-family: "Noto Sans JP", sans-serif;
  font-weight: 500;
}

.anywhere {
  overflow-wrap: anywhere;
}

@media print, screen and (min-width: 768px) {
  .shares {
    padding-top: min(150px, calc(150 / 1366 * 100vw));
  }

  .shares .inner {
    max-width: min(360px, calc(360 / 1366 * 100vw));
  }

  .shares .title {
    margin-bottom: min(20px, calc(20 / 1366 * 100vw));
  }

  .shares ul {
    gap: min(20px, calc(20 / 1366 * 100vw));
  }

  .shares a {
    width: min(60px, calc(60 / 1366 * 100vw));
    transition: transform 0.3s;
  }

  footer {
    padding: min(60px, calc(60 / 1366 * 100vw)) 0 min(100px, calc(100 / 1366 * 100vw)) 0;
  }

  footer .inner {
    width: min(1200px, calc(1200 / 1366 * 100vw));
    gap: min(50px, calc(50 / 1366 * 100vw));
  }

  footer .official {
    flex-direction: row;
    gap: min(20px, calc(20 / 1366 * 100vw));
  }

  footer .official a {
    justify-content: center;
    gap: min(10px, calc(10 / 1366 * 100vw));
    width: min(400px, calc(400 / 1366 * 100vw));
    padding: min(18px, calc(18 / 1366 * 100vw)) 0;
    border-radius: min(10px, calc(10 / 1366 * 100vw));
  }

  footer a {
    transition: filter 0.3s;
  }

  footer a:hover {
    filter: drop-shadow(0px 0px min(10px, calc(10 / 1366 * 100vw)) rgba(98, 220, 0, 0.6));
  }

  footer .copyright {
    text-align: center;
  }

  footer .logo .company {
    width: min(300px, calc(300 / 1366 * 100vw));
  }

  .pagetop {
    transform: translateY(min(120px, calc(120 / 1366 * 100vw)));
    bottom: min(40px, calc(40 / 1366 * 100vw));
    right: min(40px, calc(40 / 1366 * 100vw));
    width: min(80px, calc(80 / 1366 * 100vw));
  }

  .pagetop::after {
    width: min(30px, calc(30 / 1366 * 100vw));
  }

  ._only_sp {
    display: none;
  }
}

@media print and (hover: hover), screen and (min-width: 768px) and (hover: hover) {
  .shares a:hover {
    transform: scale(1.1);
  }

  .pagetop:hover {
    filter: drop-shadow(0px 0px min(10px, calc(10 / 1366 * 100vw)) rgba(98, 220, 0, 0.6));
  }
}

@media screen and (min-width: 768px) and (-ms-high-contrast: active), screen and (min-width: 768px) and (-ms-high-contrast: none) {
  .shares a:hover {
    transform: scale(1.1);
  }

  .pagetop:hover {
    filter: drop-shadow(0px 0px min(10px, calc(10 / 1366 * 100vw)) rgba(98, 220, 0, 0.6));
  }
}

@media only screen and (max-width: 767.8px) {
  .shares .title {
    font-size: 3rem;
  }

  footer .official a {
    font-size: 3rem;
  }

  footer .copyright {
    font-size: 2.4rem;
  }

  ._only_pc {
    display: none;
  }
}

@media screen and (min-width: 768px) and (max-width: 1365.8px) {
  .shares .title {
    font-size: 1.8rem;
  }

  footer .official a {
    font-size: 1.6rem;
  }

  footer .copyright {
    font-size: 1.3rem;
  }
}